Zernio
APIFor you
Zernio
APIFor you
API Reference

Account Settings

Facebook Messenger

Get persistent menuGETSet persistent menuPUTDelete persistent menuDELETE

Instagram

Get IG ice breakersGETSet IG ice breakersPUTDelete IG ice breakersDELETE

Telegram

Get TG bot commandsGETSet TG bot commandsPUTDelete TG bot commandsDELETE

Other

Delete FB Get Started buttonDELETEDelete FB greeting textDELETEDelete FB ice breakersDELETEGet a Facebook Page's public infoGETGet FB Get Started buttonGETGet FB greeting textGETGet FB ice breakersGETSet FB Get Started buttonPUTSet FB greeting textPUTSet FB ice breakersPUTUpdate a Facebook Page's public infoPATCH
Dashboard
OverviewPlatformsAPI ReferenceResources
Account Settings

Set TG bot commands

Set bot commands for a Telegram account.


PUT
/v1/accounts/{accountId}/telegram-commands

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

In: header

Path Parameters

accountId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.accountsettings.setTelegramCommands({  path: {    accountId: 'account_abc123',  },  body: {    commands: [      {        command: 'string',        description: 'Hello, world!',      },    ],  },});console.log(data);
Empty
Was this page helpful?

Get TG bot commands

Get the bot commands configuration for a Telegram account.

Delete TG bot commands

Clears all bot commands configured for a Telegram bot account.

commands*array<>
Itemsitems <= 100